const APP_NAME = import.meta.env.VITE_APP_TITLE
export default {
  set(key, value) {
    // 命名规则 小程序名称-环境
    const storageName = `${APP_NAME}-${process.env.NODE_ENV}`
    const temp = uni.getStorageSync(storageName) || {}
    temp[key] = value
    uni.setStorageSync(storageName, temp)
  },
  get(key) {
    // 命名规则 小程序名称-环境
    const storageName = `${APP_NAME}-${process.env.NODE_ENV}`
    const temp = uni.getStorageSync(storageName) || {}
    if(temp.hasOwnProperty(key)) {
      return temp[key]
    } else {
      return undefined
    }
  },
  remove(key) {
    // 命名规则 小程序名称-环境
    const storageName = `${APP_NAME}-${process.env.NODE_ENV}`
    const temp = uni.getStorageSync(storageName) || {}
    if(temp.hasOwnProperty(key)) {
      delete temp[key];
      uni.setStorageSync(storageName, temp);
    }
  },
  has(key) {
    // 命名规则 小程序名称-环境
    const storageName = `${APP_NAME}-${process.env.NODE_ENV}`
    const temp = uni.getStorageSync(storageName) || {}
    return temp.hasOwnProperty(key)
  },
  clear() {
    // 命名规则 小程序名称-环境
    const storageName = `${APP_NAME}-${process.env.NODE_ENV}`
    uni.removeStorageSync(storageName)
  }
}
